Installing on Pop! OS

classic Classic list List threaded Threaded
5 messages Options
Reply | Threaded
Open this post in threaded view
|

Installing on Pop! OS

bpena17
I use Pop! OS and not sure really how to run the tools as necessary.
 Since, Pop! OS is is based on Ubuntu so I presume it's the same. All I can find are directions based off of Ubuntu LTS 16 or the most recent Linux system being Linux Mint 19.... I tried giving permissions to execute but still doesn't run, tried to run chmod command but says 'PATH doesn't exist.' I installed Java months back but still not sure what to do in that regard.
Reply | Threaded
Open this post in threaded view
|

Re: Installing on Pop! OS

bpena17
This is what I get when I tried a similar solution for a question pertaining to Mint when the person in question tried to open the hardware simulator (I want to use all the tools) :

/bin/bash -x HardwareSimulator.sh
/bin/bash: HardwareSimulator.sh: No such file or directory
Reply | Threaded
Open this post in threaded view
|

Re: Installing on Pop! OS

ivant
This means that you are not issuing the commands in the correct directory. You can check your current directory by typing the command

pwd

I would suggest that you read or watch a short tutorial of how to use the command line if you are not familiar with it. You don't need any advanced stuff, but you will need the basics later to run things like the provided Jack compiler.


Another common pitfall under Linux is, that people install the so called "headless" openjdk package. "Headless" in this case means that it does not have any GUI capabilities, which is what people want to run on the server. To make sure you have the correct JDK, you can issue the following command:

sudo apt install openjdk-11-jdk


Shameless plug: you can also try my fork of the emulator tools. One of the things I added is .desktop files, which should make running from the GUI much easier. You can grab it from here https://github.com/itoshkov/nand2tetris-emu/releases/tag/v2.6.2
Reply | Threaded
Open this post in threaded view
|

Re: Installing on Pop! OS

bpena17
I put the JDK command and this is the result: sudo apt install openjdk-11-jdk
[sudo] password for coffee_fiend:
Reading package lists... Done
Building dependency tree      
Reading state information... Done
openjdk-11-jdk is already the newest version (11.0.9.1+1-0ubuntu1~20.04).
openjdk-11-jdk set to manually installed.
0 upgraded, 0 newly installed, 0 to remove and 276 not upgraded

I presume I should upgrade ? I installed the package, ensured permissions was set.
Reply | Threaded
Open this post in threaded view
|

Re: Installing on Pop! OS

Lozminda
My versions of the N2T software are running on openjdk 7 so 11 should be ok (i'd imagine)

Can you give us some screen shots maybe or some other error messages pls ?